Imports System
Imports System.Data
Imports System.Threading
Imports DayPilot.Utils
Imports DayPilot.Web.Ui.Events
Imports DayPilot.Web.Ui.Events.Bubble

Partial Public Class EventBubble
	Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
		DayPilotCalendar1.StartDate = DayPilot.Utils.Week.FirstDayOfWeek(Date.Today)
		DayPilotCalendar1.DataSource = DataGeneratorCalendar.GetData()
		DataBind()

	End Sub

	Protected Sub DayPilotBubble1_RenderEventBubble(ByVal sender As Object, ByVal e As RenderEventBubbleEventArgs)
		e.InnerHTML = String.Format("<b>{0}</b><br />Start: {1} <br/>End: {2}<br/>Event description.", e.Text, TimeFormatter.GetHourMinutes(e.Start, DayPilotCalendar1.TimeFormat), TimeFormatter.GetHourMinutes(e.End, DayPilotCalendar1.TimeFormat))
	End Sub
End Class
